{ :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
  :: QuickReport 3.0 for Delphi 3 or newer                   ::
  ::                                                         ::
  :: Demo to print labels that go from left to right         ::
  ::                                                         ::
  :: Copyright (c) 1999 QuSoft AS                            ::
  :: All Rights Reserved                                     ::
  ::                                                         ::
  :: web: http://www.qusoft.no   fax: +47 22 41 74 91        ::
  ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: }
unit hormain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TfrmMain = class(TForm)
    Memo1: TMemo;
    btnPreview: TButton;
    btnPrint: TButton;
    SizeCbo: TComboBox;
    Label1: TLabel;
    Image2: TImage;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    SkipEdt: TEdit;
    procedure btnPreviewClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SkipEdtExit(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

uses horLabel;

{$R *.DFM}

procedure TfrmMain.btnPreviewClick(Sender: TObject);
begin
  with TfrmHorLabels.Create(Application) do
  begin
    case SizeCbo.ItemIndex of
      0: LabelSize := h5160;
      1: LabelSize := h5161;
    end;

    SkipRow := StrToInt(SkipEdt.Text);

    if sender = btnPreview then
      QuickRep1.Preview
    else
      QuickRep1.Print;

    Free;
  end;
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  SizeCbo.ItemIndex := 0;
end;

procedure TfrmMain.SkipEdtExit(Sender: TObject);
  function IsInteger(const s: string): boolean;
  var
    E: Integer;
    NotUsed: integer;
  begin
    Val(S, NotUsed, E);
    result := E = 0;
  end;
begin
  if not IsInteger(SkipEdt.Text) then
    SkipEdt.Text := '0';
end;

end.
